mbed_host_tests.host_tests_runner.host_test.DefaultTestSelectorBase Class Reference

Test class with serial port initialization. More...

Inheritance diagram for mbed_host_tests.host_tests_runner.host_test.DefaultTestSelectorBase:

## Public Member Functions

def | __init__ (self, options)
Public Member Functions inherited from mbed_host_tests.host_tests_runner.host_test.Test
def | __init__ (self, options)
def | run (self)
def | setup (self)
| Setup and check if configuration for test is correct. More...
def | notify (self, msg)
| On screen notification function. More...
def | print_result (self, result)
| Test result unified printing function. More...
def | finish (self)
def | get_hello_string (self)
Public Member Functions inherited from mbed_host_tests.host_tests_runner.host_test.HostTestResults
def | enum (self, enums)
def | __init__ (self)
def | get_test_result_int (self, test_result_str)
| Maps test result string to unique integer. More...
def | __getitem__ (self, test_result_str)
| Returns numerical result code. More...

## Additional Inherited Members

Public Attributes inherited from mbed_host_tests.host_tests_runner.host_test.Test
| mbed
Public Attributes inherited from mbed_host_tests.host_tests_runner.host_test.HostTestResults
| TestResults
| TestResultsList

## Detailed Description

Test class with serial port initialization.

This is a base for other test selectors, initializes

Definition at line 135 of file host_test.py.

## Constructor & Destructor Documentation

## __init__()

def mbed_host_tests.host_tests_runner.host_test.DefaultTestSelectorBase.__init__ | ( |  | self,
|  |  | options
| ) |  |

Definition at line 139 of file host_test.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_runner/host_test.py